Subject: Re: [manet] Agenda Item Request

From: "Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 25 Feb 2004 13:54:13 +0900

Re: [manet] Agenda Item RequestDear MANET Chairs,

First of all, thanks for a timeslot for discussing MANET Address Autoconfiguration Issues.

I am wondering if MANET DNS can be a candidate of MANET next steps.
When we think MANET address autoconfiguration and Internet connectivity,
MANET DNS has a close relationship with them.
My draft, draft-jeong-manet-dns-service-00.txt, deals with the cooperation with the above functions.
Also, in the aspect of manet deployment and application, DNS seems to be indispensable.

When considering MANET characteristics, we need to reduce the amount of broadcast messages
and delay in DNS, Service Discovery, P2P, etc.
These applications are inclined to send request message in broadcast and the response is unicast by a correspondent node.
Especially, in reactive routing protocols, such as AODV, if the request message is piggybacked by RREQ message,
it will be beneficial due to the reverse path for a response message.
Therefore, MANET DNS is closely related to MANET routing.

I would like to know your opinions on MANET DNS.
Do you think that MANET DNS is manet next item or out of scope?
Thanks.

Regards,
Jaehoon Paul Jeong
  ----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Cc: [email-masked] ; [email-masked] 
  Sent: Wednesday, February 18, 2004 10:39 AM
  Subject: Re: [manet] Agenda Item Request

  Dear Scott, 

  I'm interested in presenting a draft titled "DNS Service for Mobile Ad Hoc Networks"; http://www.ietf.org/internet-drafts/draft-jeong-manet-dns-service-00.txt

  This draft deals with the following things; 
    - DNS Service within a stand-alone MANET 
    - DNS Service within a MANET connected to the Internet 
    - Service Discovery based on Multicast DNS 
    - Interworking between Multicast DNS and IP Address Autoconfiguration 
    - Authentication of DNS Messages 
    - IPv6 Considerations 

  I would like to discuss this draft with other experts at this meeting. 
  Thanks. 

  Best Regards, 
  --- 
  HyoungJun KIM([email-masked]) 
  Director/IPv6 Forum Korea, 
  Principle Member of Research Staff, 
  Head of NGI Standards Reaserch Team/ 
  Protocol Engineering Center/ 
  Electronics and Telecommunications Research Institute 
  161 Gajung-Dong, Yusung-Gu, Taejon, 305-350, Rep. of KOREA 
  Tel: +82 42 860 6576, Fax: +82 42 861 5404 Mobile Phone: 010-3034-6655